/** primeNG general overrides */
body a {
  color: #0075a3 !important;
}

body .ui-inputtext:active:not(.ui-state-error) {
  border-color: #0075a3 !important;
}

input:focus:active:not(.ui-state-error) {
  border-color: #38b2fe !important;
}

input:focus:not(.ui-state-error) {
  border-color: #38b2fe !important;
}

//theme.css:1183
body ::-webkit-input-placeholder {
  color: #405157;
}

//primeng.min.css:1
::-webkit-input-placeholder {
  color: #405157;
}
/*end general overrides */

/** primeNG Button overrides */
p-button {
  color: $secondary !important;
  background-color: white !important;
}

.ui-button:enabled:focus {
  box-shadow: none !important;
}
/*end button overrides */

/** primeNG Datepicker overrides */
.ui-datepicker-trigger {
  color: $secondary !important;
  background-color: $gray-100 !important;
  border: 1px solid $gray-300 !important;
}

p-footer {
  margin-left: auto;
  margin-top: 1rem;
  display: flex;
  float: right;

  p {
    margin-top: 0.5rem !important;
    width: 170px !important;
  }
}

.ui-datepicker-group {
  border-bottom: 1px solid $gray-200;
  border-right: 0 !important;
}

table > thead > tr > th {
  background-color: $gray-100 !important;

  span {
    font-weight: normal;
  }
}

p-header {
  border-bottom: 1px solid $gray-200;
  margin-left: 0.5rem;
  margin-bottom: 0.5rem;
  display: flex;
  margin-right: 1.5rem;

  a {
    margin-right: 2rem;
    margin-bottom: 1rem;
  }
}

.ui-inputtext {
  border-color: $border-color !important;
}

p-inputmask {
  width: 100%;
  display: block;

  .ui-inputtext {
    border-color: $border-color;
    width: 100% !important;
    border-bottom-right-radius: 0 !important;
    border-top-right-radius: 0 !important;
    border-right: none !important;
  }
}

#datepicker-div > div > i {
  color: $gray-500 !important;
}

.ui-calendar-w-btn > input {
  width: 200px !important;
}

#datepicker-calendar-footer-cancel:hover {
  color: black;
}

#datepicker-calendar-footer-cancel:active {
  background-color: transparent;
  box-shadow: none;
}
/** end datepicker overrides */

/** primeNG input overrides */
.ui-button.ui-button-icon-only .ui-button-text {
  padding: 0.5em !important;
}

.ui-inputgroup > input {
  width: 100% !important;
}
/** end input overrides */

/** primeNG editor overrides */
.ui-editor-content.ql-container.ql-snow {
  height: 200px;
  border-bottom-left-radius: 0.25rem;
  border-bottom-right-radius: 0.25rem;

  .ql-editor {
    border-bottom-left-radius: 0.25rem;
    border-bottom-right-radius: 0.25rem;
  }
}

div.ui-editor-container:focus-within {
  div.ui-editor-toolbar.ui-widget-header.ui-corner-top.ql-toolbar.ql-snow {
    border-top: 1px solid $primary !important;
    border-right: 1px solid $primary !important;
    border-left: 1px solid $primary !important;
  }

  .ui-editor-content.ql-container {
    border-bottom: 1px solid $primary !important;
    border-right: 1px solid $primary !important;
    border-left: 1px solid $primary !important;
  }
}

.ql-code-block {
  display: none !important;
}

button.ql-image {
  display: none !important;
}

div.ui-editor-toolbar.ui-widget-header.ui-corner-top.ql-toolbar.ql-snow {
  line-height: normal;
}

.ql-active {
  background-color: $primary !important;
  color: $white !important;
  border-radius: 0.25rem;

  svg > path,
  .ql-stroke {
    stroke: white !important;
  }
}

div.ui-editor-content.ql-container.ql-snow {
  border-bottom: 1px solid $gray-200;
}
/** end editor overrides */

/** Loading spinner overrides */
@keyframes ui-progress-spinner-color {
  100%,
  0% {
    stroke: $primary;
  }
  40% {
    stroke: $primary;
  }
  66% {
    stroke: $primary;
  }
  80%,
  90% {
    stroke: $primary;
  }
}

.progress-spinner-span > p-progressspinner > div > svg {
  width: 40% !important;
  top: -80px !important;
}
/** end Loading spinner overrides */

/** Accordion overrides */
.post-text {
  font-style: italic;
  color: $gray-500;
  font-size: small;
  margin-top: 0.25rem;
  margin-left: 0.25rem;
}
/** end Accordion overrides */

/** Modal overrides */
p-dialog,
.ui-dialog {
  font-family: $font-family-sans-serif !important;
}

.ui-dialog-title {
  font-size: large !important;
}

.pi-times {
  background-repeat: no-repeat;
  color: $gray-400;
}

.pi-times::before {
  background-image: url('assets/icons/icon-close.svg');
  background-repeat: no-repeat;
  color: transparent;
}

.ui-dialog-title-icon {
  background-image: url('assets/icons/icon-close.svg');
  background-repeat: no-repeat;

  .ui-dialog-titlebar.ui-widget-header.ui-helper-clearfix.ui-corner-top.ng-tns-c7-2.ng-star-inserted
    > div
    > a
    > span {
    display: none !important;
  }
}

.ui-dialog .ui-dialog-content {
  border-radius: 0 0 4px 4px;
}
/** end Modal overrides */

/** autocomplete overrides */
.ui-autocomplete-input {
  border-right: none !important;
  border-top-right-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
}
/** end autocomplete overrides */
